---
layout: post
title:  "My archery setup!"
date:   2016-08-15 12:00:00 +0200
categories: archery
---
Hey there! This is my first post about archery, so I thought that I could have done a tour of my setup. As I wrote in the about page, I'm a Olmpic recurve archer based in Italy. I do this for almost five years! If you don't understand everything I say, you can check out the youtube channel [Nusensei](https://www.youtube.com/user/NUSensei/). It's a very good source, especially for beginners.

![Bow1](https://dl.dropboxusercontent.com/s/efmap2qqvz6yapn/IMG_20160809_164942.jpg?dl=0)

Ok, the setup. I own a *Fiberbow 5.99* LH (yes, I'm left handed) as my `riser`, the *central* part of the bow. It's made by carbon fiber so it's very lightweight. And is not painted too: It looks kinda cool. Many experienced archers could complain saying that carbon fiber bends and this is a bad thing. Instead, I think this gives you a nice feedback when you release. Also I tried to raise a friend's *Hoyt Prodigy XT*, and there's no way I'm going to lift such a weight on a regular base. Both the risers mentioned are high-range ones: I got mine 50% off because it wasn't the latest model and it had some minor ahestetic flaws. Also, this isn't my first one. In fact, I used to shoot with an Orange SF Premium: great bow for beginners!

As limbs, I use a pair of *EXE College* rated at 34 pounds. Since I'm quite tall (limbs and riser toghether make a 70" tall bow), my draw length is around 29.5" and my draw weight is around 38 pounds.

The sight is a *Shibuya Dual Click*. You can check out [this](https://www.youtube.com/watch?v=_ZvAnyxazpY) review by Nusensei (by the way, I knew his channel from this very video).

As stabilizers, I use a set of *Fiberbow S.3* ones with yellow dampeners (for those who know the difference between the colours).

As plunger button, I use a *EXE* one. It's a middle range one, but it seems very well built and it works fine! Also, I'm not going to spend 90€ for a `Cartel` one.

My current arrows are a set of *Easton X7 Eclipse* spined at 2213. These are winter alluminium arrows, but since they are cheaper than carbon ones, I bought these as a total replacement of my *VAP V6* 600. Those, due to form flaws, were 2 inches too short. Oh, and I always used *Spin Wings* and *Elivanes*, a stiffer plastic italian replacement.

Here's an image of the complete bow at the archery range:

![Bow2](https://dl.dropboxusercontent.com/s/ril7kk9zd0l4vrf/IMG_20160809_175554.jpg?dl=0) 
